Table of Contents

Module: fdesc | Twisted-0.19.0/twisted/internet/fdesc.py
--- | ---
Utility functions for dealing with POSIX file descriptors.
Imported modules |
--- | ---
import errno import fcntl from main import CONNECTION_LOST, CONNECTION_DONE import os import sys
Functions |
readFromFD setNonBlocking
| readFromFD
    readFromFD ( fd,  callback )
### Read from fd, calling callback with resulting data. Returns same thing FileDescriptor.doRead would.
| setNonBlocking
    setNonBlocking ( fd )
Make a fd non-blocking.

Table of Contents

This document was automatically generated on Sun Jul 14 19:52:41 2002 by HappyDoc version 2.0